{ config, pkgs, lib, ... }:
{
  # TODO.
  # As of 01.01.2024, the Electron version of Obsidian does not find some GL libraries.
  # Temporary workaround (https://github.com/NixOS/nixpkgs/issues/268490#issuecomment-1817991394):
  #   export LD_LIBRARY_PATH=$(nix --extra-experimental-features nix-command --extra-experimental-features flakes build --print-out-paths --no-link nixpkgs#libGL)/lib
  #   obsidian

  # TODO: Only if on wayland and display scaling != 1
  # To have sharp font, start obsidian with:
  #   obsidian --enable-features=UseOzonePlatform --ozone-platform=x11

  # This `config` is only for "stable" `nixpkgs`, not for "unstable".
  # See nur-and-unstable.nix
#  nixpkgs.config.allowUnfreePredicate = pkg: builtins.elem (lib.getName pkg) [
#    "obsidian"
#  ];

  # TODO go back to stable nixpkgs.
  # As of 01.01.2024, obsidian did not start on Wayland and it is using an insecure Electron version.
  # Thus, we are currently running it from unstable.
  users.users.yoda = {
    packages = with pkgs; [
      unstable.obsidian # Markdown notes
    ];
  };
}
